Bot Configuration
GET/partner/settings/bot_control/:user_domain_idx
Retrieve bot blocking settings for the specified domain.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"bad_bot": {
"total": 1,
"blocked": 1,
"list": [
{
"idx": "1",
"bot_source": "default",
"bot_name": "AhrefsBot",
"use_status": "ON"
}
]
},
"good_bot": {
"total": 1,
"blocked": 1,
"list": [
{
"idx": "1",
"bot_source": "default",
"bot_name": "Googlebot",
"use_status": "ON"
}
]
},
"modified_date": "2026-03-26 10:19:10"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |